/*********************************************************************
** Martial Chateauvieux
**   HORUS UAV System
** 30 April 2005
**********************************************************************
**
**    HORUS UAV System V1.1.0 - Copyright (C) 2003-2009 Martial
**    Chateauvieux
**
**    This file is part of the HORUS UAV System distribution.
**
**    HORUS UAV System is free software; you can redistribute it
**    and/or modify it under the terms of the GNU General Public
**    License as published by the Free Software Foundation; either
**    version 2 of the License, or (at your option) any later version.
**
**    HORUS UAV System is distributed in the hope that it will be
**    useful, but WITHOUT ANY WARRANTY; without even the implied
**    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**    See the GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public
**    License along with the HORUS UAV System; if not, write to the
**    Free Software Foundation, Inc., 59 Temple Place, Suite 330,
**    Boston, MA 02111-1307 USA
**
*********************************************************************/

/** \file
 **   
 ** This file maps the avr standard F_CPU macro to the HRS internal
 ** SYSCLK. This macro defined the setting of the system clock and is
 ** the base for timing calculations
 **
 ********************************************************************/


#ifndef __F_CPU_H__
#define __F_CPU_H__

#include "project_config.h"
#include "hw_config.h"

#define F_CPU	SYSCLK		// clock ticks/s

#endif /* __F_CPU_H__ */
